<?php
 
 
 

namespace PhpWA\Protocol\Proto\CallLogRecord;

use UnexpectedValueException;




class SilenceReason
{
    


    const NONE = 0;
    


    const SCHEDULED = 1;
    


    const PRIVACY = 2;
    


    const LIGHTWEIGHT = 3;

    private static $valueToName = [
        self::NONE => 'NONE',
        self::SCHEDULED => 'SCHEDULED',
        self::PRIVACY => 'PRIVACY',
        self::LIGHTWEIGHT => 'LIGHTWEIGHT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

